plugins {
    id("com.android.library")
    id("org.jetbrains.kotlin.android")
    id("com.google.devtools.ksp")
}

android {
    namespace = "com.isidroid.session"
    compileSdk = BuildVersions.COMPILE_SDK

    defaultConfig {
        minSdk = BuildVersions.MIN_SDK

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles("consumer-rules.pro")
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(getDefaultProguardFile("proguard-android-optimize.txt"), "proguard-rules.pro")
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }
    kotlinOptions {
        jvmTarget = "17"
    }
}

dependencies {
    implementation(project((":core:network")))

    api("androidx.core:core-ktx:${GoogleVersions.coreKtx}")
    api("androidx.appcompat:appcompat:${GoogleVersions.appCompat}")
    api("com.google.dagger:hilt-android:${GoogleVersions.hilt}")
    api("androidx.room:room-runtime:${GoogleVersions.room}")

    ksp("com.google.dagger:hilt-compiler:${GoogleVersions.hilt}")

    // tools
    api("com.jakewharton.timber:timber:${ToolsVersions.timber}")

    // network
    api("com.squareup.okio:okio:${NetworkVersions.okio}")
    api("com.squareup.retrofit2:retrofit:${NetworkVersions.retrofit}")
    api("com.squareup.okhttp3:okhttp:${NetworkVersions.okhttp}")
    api("com.squareup.retrofit2:converter-gson:${NetworkVersions.retrofit}")
    api("com.squareup.okhttp3:logging-interceptor:${NetworkVersions.okhttp}")

    testImplementation("junit:junit:${TestVersions.junit}")
    androidTestImplementation("androidx.test.ext:junit:${TestVersions.junitExt}")
    androidTestImplementation("androidx.test.espresso:espresso-core:${TestVersions.espressoCore}")
}